
Name:           omcclp
Version:        0.5
Release:        1%{?dist}
Summary:        Implementation of the OMC-CLP specification

Group:          Applications/System
License:        GPL
URL:            https://svn.innerweb.novell.com/svn/novlclp/trunk/omcclp
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Patch0:         gcc4.patch

BuildRequires:  gcc-c++ openwbem-devel openssl-devel ncurses-devel
BuildRequires:  readline-devel >= 5.0
BuildRequires:  flex bison

%description
Implementation of the Server Management Command Line Protocol

%prep
%setup -q
%patch0 -p1

%build
%configure
make

%install
%makeinstall

%files
%defattr(-,root,root,-)
%{_bindir}/omcclp
%{_sbindir}/omcclpd
%dir %{_sysconfdir}/omcclp
%config %{_sysconfdir}/omcclp/omcclp.conf
%config %{_sysconfdir}/omcclp/omcclpaddr.ini
%config %{_sysconfdir}/omcclp/oemextensions.ini

%changelog
* Wed Jan 25 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 0.5-1
- Inital build for Fedora
